Package org.springframework.jdbc.core

# Interface PreparedStatementCreator

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface PreparedStatementCreator
One of the two central callback interfaces used by the JdbcTemplate class. This interface creates a PreparedStatement given a connection, provided by the JdbcTemplate class. Implementations are responsible for providing SQL and any necessary parameters.

Implementations do not need to concern themselves with SQLExceptions that may be thrown from operations they attempt. The JdbcTemplate class will catch and handle SQLExceptions appropriately.

A PreparedStatementCreator should also implement the SqlProvider interface if it is able to provide the SQL it uses for PreparedStatement creation. This allows for better contextual information in case of exceptions.

Author:
  Rod Johnson
See Also:
  - `JdbcTemplate.execute(PreparedStatementCreator, PreparedStatementCallback)`
  - `JdbcTemplate.query(PreparedStatementCreator, RowCallbackHandler)`
  - `JdbcTemplate.update(PreparedStatementCreator)`
  - `SqlProvider`

## Method Summary

Modifier and Type
Method
Description
`PreparedStatement`
`createPreparedStatement(Connection con)`
Create a statement in this connection.

## Method Details

### createPreparedStatement

PreparedStatement createPreparedStatement(Connection con) throws SQLException
Create a statement in this connection. Allows implementations to use PreparedStatements. The JdbcTemplate will close the created statement.

Parameters:
  `con` - the connection used to create statement
Returns:
  a prepared statement
Throws:
  `SQLException` - there is no need to catch SQLExceptions that may be thrown in the implementation of this method. The JdbcTemplate class will handle them.